Name:           python-kivy
Version:        1.8.0
Release:        1%{?dist}
Summary:        Multimedia / Multitouch framework in Python

Group:          Development/Libraries
License:        MIT
Url:            http://kivy.org
Source0:        https://pypi.python.org/packages/source/K/Kivy/Kivy-1.8.0.tar.gz

BuildRequires:  python2-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  Cython
Requires:       pygame
Requires:       gstreamer-python
Requires:       python-enchant

%description
Kivy is an open source library for developing multi-touch applications. It is
completely cross platform (Linux/OSX/Win/Android) and released under the terms
of the GNU LGPL V3.
.
It comes with native support for many multi-touch input devices, a growing
library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and
an architecture that is designed to let you focus on building custom and highly
interactive applications as quickly and easily as possible.
.
Kivy is a mixed Python library with Cython code, to take advantage of its
highly dynamic nature and use any of the thousands of high quality and open
source python libraries out there, with the speed of C code.

%package examples
Summary:        Hardware-accelerated multitouch application library - Documentation
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description examples
Kivy is an open source software library for rapid development of applications
that make use of innovative user interfaces, such as multi-touch apps.

This package contains the examples

%prep
%setup -q -n Kivy-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT

# From upstream docs, this is the installation method for the kivy "binary"
# as listed in
#   doc/sources/installation/installation-linux.rst
#
mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s %{__python2} $RPM_BUILD_ROOT%{_bindir}/kivy

%files
%{_bindir}/kivy
%{python_sitearch}/*.egg-info
%{python_sitearch}/kivy

%files examples
%{_datadir}/kivy-examples

%changelog
* Thu May 29 2014 Adam Miller <maxamillion@fedoraproject.org> - 1.8.0-1
- First package for Fedora
